net.sf.statcvs.output

## Class ReportConfig

- java.lang.Object
- - net.sf.statcvs.output.ReportConfig

-     public class ReportConfig
      extends java.lang.Object

  A configuration object that controls several aspects of report creation, such as the output directory and chart sizes. A single instance is passed around to all objects involved in report creation.
  Version:
    $Id: ReportConfig.java,v 1.12 2009/06/02 13:28:53 benoitx Exp $
  Author:
    Richard Cyganiak (richard@cyganiak.de)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MarkupSyntax` | `HTML`
    `static MarkupSyntax` | `XDOC`
    `static MarkupSyntax` | `XML`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportConfig(Repository repository, java.lang.String projectName, java.lang.String rootDirectory, MarkupSyntax syntax, CssHandler cssHandler, java.lang.String charSet)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFileIntoReport(java.net.URL source, java.lang.String destinationFilename)` Copies a file from a URL into the report.
    `ChartImage` | `createChartImage(java.lang.String fileName, java.lang.String title, org.jfree.chart.JFreeChart chart, java.awt.Dimension size)` Writes a chart image file.
    `Page` | `createPage(java.lang.String fileName, java.lang.String shortTitle, java.lang.String fullTitle)` Creates an empty report page.
    `java.lang.String` | `getCharSet()`
    `CssHandler` | `getCssHandler()`
    `java.awt.Dimension` | `getLargeChartSize()`
    `MarkupSyntax` | `getMarkup()`
    `java.lang.String` | `getProjectName()`
    `Repository` | `getRepository()`
    `java.lang.String` | `getRootDirectory()`
    `java.awt.Dimension` | `getSmallChartSize()`
    `BugTracker` | `getWebBugtracker()`
    `WebRepositoryIntegration` | `getWebRepository()`
    `boolean` | `isDeveloper(Author author)`
    `void` | `setLargeChartSize(java.awt.Dimension newSize)`
    `void` | `setNonDeveloperLogins(java.util.Collection names)`
    `void` | `setSmallChartSize(java.awt.Dimension newSize)`
    `void` | `setWebBugtracker(BugTracker webBugtracker)`
    `void` | `setWebRepository(WebRepositoryIntegration webRepository)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XDOC

          public static final MarkupSyntax XDOC

    - #### HTML

          public static final MarkupSyntax HTML

    - #### XML

          public static final MarkupSyntax XML

  - ### Constructor Detail

    - #### ReportConfig

          public ReportConfig(Repository repository,
                      java.lang.String projectName,
                      java.lang.String rootDirectory,
                      MarkupSyntax syntax,
                      CssHandler cssHandler,
                      java.lang.String charSet)

  - ### Method Detail

    - #### setSmallChartSize

          public void setSmallChartSize(java.awt.Dimension newSize)

    - #### setLargeChartSize

          public void setLargeChartSize(java.awt.Dimension newSize)

    - #### setWebRepository

          public void setWebRepository(WebRepositoryIntegration webRepository)

    - #### setWebBugtracker

          public void setWebBugtracker(BugTracker webBugtracker)

    - #### setNonDeveloperLogins

          public void setNonDeveloperLogins(java.util.Collection names)

    - #### getRootDirectory

          public java.lang.String getRootDirectory()

    - #### getRepository

          public Repository getRepository()

    - #### getProjectName

          public java.lang.String getProjectName()

    - #### getSmallChartSize

          public java.awt.Dimension getSmallChartSize()

    - #### getLargeChartSize

          public java.awt.Dimension getLargeChartSize()

    - #### getMarkup

          public MarkupSyntax getMarkup()

    - #### getCssHandler

          public CssHandler getCssHandler()

    - #### getWebRepository

          public WebRepositoryIntegration getWebRepository()

    - #### getWebBugtracker

          public BugTracker getWebBugtracker()

    - #### createPage

          public Page createPage(java.lang.String fileName,
                        java.lang.String shortTitle,
                        java.lang.String fullTitle)

      Creates an empty report page.
      Parameters:
        `fileName` - The page's file name, relative to the root, without file extension
        `shortTitle` - A short title for use in navigation links
        `fullTitle` - The full title for the headline
      Returns:
        An empty page according to the specifications

    - #### createChartImage

          public ChartImage createChartImage(java.lang.String fileName,
                                    java.lang.String title,
                                    org.jfree.chart.JFreeChart chart,
                                    java.awt.Dimension size)

      Writes a chart image file.
      Parameters:
        `fileName` - The file's name, relative to the root.
        `title` - The chart's title
        `chart` - The JFreeChart representation
        `size` - Width and height in pixels
      Returns:
        An object representing the file

    - #### copyFileIntoReport

          public void copyFileIntoReport(java.net.URL source,
                                java.lang.String destinationFilename)

      Copies a file from a URL into the report.
      Parameters:
        `source` - The source file
        `destinationFilename` - The destination, relative to the report root, without initial slash.

    - #### isDeveloper

          public boolean isDeveloper(Author author)

    - #### getCharSet

          public java.lang.String getCharSet()